Subject: Re: [rrg] Another Routing RG Straw Poll

From: [email-masked] (Noel Chiappa)
Date: Mon, 24 May 2010 04:39:47 -0400 (EDT)

> From: Dae Young KIM <[email-masked]>

    >  o I have one and only one number for my node.

That's what I was trying to find out. So even if you have a machine which is
connected to two networks, it only has one 'node address'.

Therefore, the 'mode address' cannot contain any information about the
'location' of the node (since a machine with two connections, i.e. two
'locations', has only one 'node address').

So you may have a different term ('node address'), but your 'node address'
acts, and is used, just like the 'identifier' that most of the rest of us
talk about.

Similarly, in this example, which shows a node we can call 'node D':

    >               node   <- node addr (= IP addr)
    >               |   \
    >               |    \
    >               |     \
    >  mac addr -> LAN    3G <- L2 addr

Let me also set the condition that the shortest path from the LAN to the 3G
network which does _not_ pass through node D is very long (say 10 AS's long).

Now, looking at another node a long way away (say, 10 AS's away from both the
LAN and the 3G network) - we can call this other node S: what node S puts in
an IP packet to get it to node D is not either the 'MAC address' or the 'L2
address' (which cannot be 'routed' on such a large scope), but some other
value (an AS number, it seems). Once the packet gets to that AS, the 'MAC
address'/'L2 address' is used to get it to the host.

Assuming such a design would work (since whether or not it will work is not
relevant to the point I want to make), the combination of AS number and 'MAC
address'/'L2 address' acts, and is used, just like the 'locator' that most of
the rest of us talk about.

So you have simply re-created the same basic design most of the rest of us
have, just with different terms, and slightly different engineering details.

	Noel

---

From: Dae Young KIM <[email-masked]>
Date: Mon, 24 May 2010 18:37:57 +0900

On Mon, May 24, 2010 at 5:39 PM, Noel Chiappa <[email-masked]> wrote:
>    > From: Dae Young KIM <[email-masked]>
>
>    >  o I have one and only one number for my node.
>
>    >               node   <- node addr (= IP addr)
>    >               |   \
>    >               |    \
>    >               |     \
>    >  mac addr -> LAN    3G <- L2 addr
>

Actually in two steps. Once S arrives at C's AS,

   - C's node address will be looked at to locate which subnet router
it belongs, and
   - once D enters the subnet of C, the MAC or L2 address will deliver it to C.

> have, just with different terms, and slightly different engineering details.

Yes, indeed.

One question regarding intra-domain is whether let nodes be involved
in locators (like in ILNP) or leave the job solely to routers (like in
my model).

The other question regarding inter-domain is whether use a
global-scope site Locators for domains or AS numbers instead.

I think the problem is equivalent. And model surely would also work,
only with a nonsense(?) of having each intra-domain routers keep a
table of all in-AS node address and having each inter-domain routers
keep a table of all global-scope AS numbers.

In so far as I also need to carry extra number AS in all my packets,
my pain would not be less than ILNP.

And the job of working with global-scope AS# would be equivalent to
that with global-scope site Locators of ILNP.

ILNP mobility would be as fast as mine since ICMP exchange would be as
fast as LS broadcast.

Although I might keep insisting that Locator is redundant resource now
that two tips of an interface can be not ambiguously identified by
node address and L2 (MAC) address, eliminating that (to me
unnecessary) resource apparently does not provide any significant
simplification in practical operation.

I think ILNP is a very neat proposal. Congratulations!

-- 
DY